鍵の概要
| 鍵のバージョン | V4 |
|---|---|
| 仕様 | RFC 2440 · RFC 4880 · RFC 9580 |
| 状態 | 互換性はありますが、RFC 9580 では非推奨 |
| 主鍵(証明、署名) | EdDSALegacy (Ed25519) · ID 22 |
| 暗号化用副鍵 | ECDH Curve25519Legacy · ID 18 |
| フィンガープリント | 3B0E8B81143420937B4271BE2736B97A8A635CE3 |
| 秘密鍵のパスフレーズ | synthetic-key-password |
アルゴリズムと用途
EdDSALegacy (Ed25519): Curve25519 上の Edwards 曲線署名です。小型で高速、幅広く対応されています。署名と認証に使用します。
ECDH Curve25519Legacy: Curve25519 上の楕円曲線 Diffie–Hellman 鍵共有です。現代的な暗号化用副鍵の中で最も広く対応されています。
公開鍵
主鍵、暗号化用副鍵、およびそれらの結合署名を含む公開証明書です。インポートすると、署名の検証や、このテスト用 ID に宛てた暗号化ができます。
ダウンロード → 640 バイト
-----BEGIN PGP PUBLIC KEY BLOCK-----
xjMEavCjuhYJKwYBBAHaRw8BAQdAh4cOlK9wDB1pIpGW0Qp4MhJmo+UzULves4Is
LdCynznNJENILUogbWF0cml4IDIwLXY0LWVkMjU1MTkrY3VydmUyNTUxOcKMBBMW
CAA0BQJq8KO6FiEEOw6LgRQ0IJN7QnG+Jza5eopjXOMCGwMCHgEDCwkHARUBFgUn
CQIHAgIZAQAKCRAnNrl6imNc4wqUAQCBKFih60cA7ITxA5qxtScxu0pCjmvrE61q
PlkEoAxZHQD9FXwei0IzuafTIsTsFEeJ0sBiY/6SaV9Vh1d139ROOATOOARq8KO6
EgorBgEEAZdVAQUBAQdAy7K0sQ/PbO4gwvliZyKVI1JIpC+0i+TLZVhVwpeMWGkD
AQgHwngEGBYIACAFAmrwo7oWIQQ7DouBFDQgk3tCcb4nNrl6imNc4wIbDAAKCRAn
Nrl6imNc483MAPwMu8m3UYaE0r406U4FOo+CWjiqf9ufl0h/j9YYjNvrJwD+Lr7j
Ww6BUUAfJ9inxUNPryC3/u4/F4ana0hmgWaVNgQ=
=BptK
-----END PGP PUBLIC KEY BLOCK-----
秘密鍵
上記のパスフレーズで保護された秘密鍵です。テスト専用として公開しており、誰でも使用できます。
ダウンロード → 866 バイト
表示
-----BEGIN PGP PRIVATE KEY BLOCK-----
xYYEavCjuhYJKwYBBAHaRw8BAQdAh4cOlK9wDB1pIpGW0Qp4MhJmo+UzULves4Is
LdCynzn+CQMIesIdltY70HfgRiexew6b/bzR4PxU+f3GrizlomBUOon7GitxsW8z
ieHsOANDoad6YQHBduIGNWX0/0P7RoKYEjQnoZjQ3T3RrGpFL97JZ80kQ0gtSiBt
YXRyaXggMjAtdjQtZWQyNTUxOStjdXJ2ZTI1NTE5wowEExYIADQFAmrwo7oWIQQ7
DouBFDQgk3tCcb4nNrl6imNc4wIbAwIeAQMLCQcBFQEWBScJAgcCAhkBAAoJECc2
uXqKY1zjCpQBAIEoWKHrRwDshPEDmrG1JzG7SkKOa+sTrWo+WQSgDFkdAP0VfB6L
QjO5p9MixOwUR4nSwGJj/pJpX1WHV3Xf1E44BMeLBGrwo7oSCisGAQQBl1UBBQEB
B0DLsrSxD89s7iDC+WJnIpUjUkikL7SL5MtlWFXCl4xYaQMBCAf+CQMIlh6iccCY
vjzg5Z8Mpwetqk4HIG6xsyhBwhQj/P9ZKUScJlWYMRYn5FcqLL8vKT+ovZJlVMMm
mLMNLZh6CB7UuYKZ9cpWfka4B2th8gcId8J4BBgWCAAgBQJq8KO6FiEEOw6LgRQ0
IJN7QnG+Jza5eopjXOMCGwwACgkQJza5eopjXOPNzAD8DLvJt1GGhNK+NOlOBTqP
glo4qn/bn5dIf4/WGIzb6ycA/i6+41sOgVFAHyfYp8VDT68gt/7uPxeGp2tIZoFm
lTYE
=iQ1N
-----END PGP PRIVATE KEY BLOCK-----
失効証明書
あらかじめ生成した失効証明書です。インポートすると鍵が失効済みとして扱われます。ソフトウェアが失効した鍵をどう処理するかテストできるように公開しています。
ダウンロード → 803 バイト
表示
-----BEGIN PGP PUBLIC KEY BLOCK-----
xjMEavCjuhYJKwYBBAHaRw8BAQdAh4cOlK9wDB1pIpGW0Qp4MhJmo+UzULves4Is
LdCynznCdQQgFggAHQUCavCjuhYhBDsOi4EUNCCTe0Jxvic2uXqKY1zjAAoJECc2
uXqKY1zjFb8A/2IT7zl0oufrZeBE6CNGGZ6dkEiOuO4PoyBskeTNS+FbAQCgHgHG
l7tyVN9g63RINWLRZ9K0DpakXAEpnuxn4Pz3DM0kQ0gtSiBtYXRyaXggMjAtdjQt
ZWQyNTUxOStjdXJ2ZTI1NTE5wowEExYIADQFAmrwo7oWIQQ7DouBFDQgk3tCcb4n
Nrl6imNc4wIbAwIeAQMLCQcBFQEWBScJAgcCAhkBAAoJECc2uXqKY1zjCpQBAIEo
WKHrRwDshPEDmrG1JzG7SkKOa+sTrWo+WQSgDFkdAP0VfB6LQjO5p9MixOwUR4nS
wGJj/pJpX1WHV3Xf1E44BM44BGrwo7oSCisGAQQBl1UBBQEBB0DLsrSxD89s7iDC
+WJnIpUjUkikL7SL5MtlWFXCl4xYaQMBCAfCeAQYFggAIAUCavCjuhYhBDsOi4EU
NCCTe0Jxvic2uXqKY1zjAhsMAAoJECc2uXqKY1zjzcwA/Ay7ybdRhoTSvjTpTgU6
j4JaOKp/25+XSH+P1hiM2+snAP4uvuNbDoFRQB8n2KfFQ0+vILf+7j8XhqdrSGaB
ZpU2BA==
=T7pt
-----END PGP PUBLIC KEY BLOCK-----
test_1MB.bin の署名
CH-J Tools でこの鍵を使って作成した、test_1MB.bin の ASCII Armor 形式の分離署名です。テストファイルと同じ場所に test_1MB.bin.asc として保存してください。
ダウンロード → 228 バイト
-----BEGIN PGP SIGNATURE-----
wnUEABYIAB0WIQQ7DouBFDQgk3tCcb4nNrl6imNc4wUCaveO8QAKCRAnNrl6imNc
4xo3APsFLyHsiqwlLqkg362pUlLa8hM/GKZeo6dhOoN6WoiqygEA1hA1voS6K5Fz
M9XJ6XFs+OXv1tQNuKm1BonctfvJ+AU=
=BcMS
-----END PGP SIGNATURE-----
署名を検証
バージョン 4 の鍵は、アルゴリズムが対応している範囲で GnuPG や sqop、rsop などの SOP ツールで使用できます。テスト鍵が実際の鍵束に入らないよう、一時的な GNUPGHOME を使用してください:
gpg --import pgp-example-20-public.asc
gpg --verify test_1MB.bin.asc test_1MB.bin